slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetErrorIfNotConverged

Causes MFNSolve() to generate an error if the solver has not converged.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetErrorIfNotConverged(MFN mfn,PetscBool flg)

Logically Collective

### Input Parameters

| mfn | - the matrix function context
| flg | - PETSC_TRUE indicates you want the error generated

### Options Database Keys

| -mfn_error_if_not_converged | - this takes an optional truth value (0/1/no/yes/true/false)

### Note

Normally SLEPc continues if the solver fails to converge, you can call MFNGetConvergedReason() after a MFNSolve() to determine if it has converged.

### See Also

MFNGetErrorIfNotConverged()

### Level

intermediate

### Location

src/mfn/interface/mfnopts.c

### Examples

src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex39.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages